# TdApi.FoundChatMessages (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: FoundChatMessages

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.FoundChatMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.FoundChatMessages

Enclosing class:
  TdApi

public static final class TdApi.FoundChatMessages extends TdApi.Object
Contains a list of messages found by a search in a given chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Message[]`
`messages`
List of messages.
`long`
`nextFromMessageId`
The offset for the next request.
`int`
`totalCount`
Approximate total number of messages found; -1 if unknown.

## Constructor Summary

Constructors
Constructor
Description
`FoundChatMessages()`
Contains a list of messages found by a search in a given chat.
`FoundChatMessages(int totalCount, TdApi.Message[] messages, long nextFromMessageId)`
Contains a list of messages found by a search in a given chat.
`FoundChatMessages(DataInput input)`
Contains a list of messages found by a search in a given chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
Approximate total number of messages found; -1 if unknown.

### messages

public TdApi.Message[] messages
List of messages.

### nextFromMessageId

public long nextFromMessageId
The offset for the next request. If 0, there are no more results.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### FoundChatMessages

public FoundChatMessages()
Contains a list of messages found by a search in a given chat.

### FoundChatMessages

public FoundChatMessages(int totalCount, TdApi.Message[] messages, long nextFromMessageId)
Contains a list of messages found by a search in a given chat.

Parameters:
  `totalCount` - int Approximate total number of messages found; -1 if unknown.
  `messages` - Message[] List of messages.
  `nextFromMessageId` - long The offset for the next request. If 0, there are no more results.

### FoundChatMessages

public FoundChatMessages(DataInput input) throws IOException
Contains a list of messages found by a search in a given chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`